---
id: "truecommand-schedule"
img: "/images/truecommand-logo-full-color-rgb.png"
product: "TrueCommand"
title: "Container | Cloud"
majorVersions:
  - lifecycle: "Previous"
    name: "TrueCommand 2.3"
    releases:
      - name: "2.3.3"
        type: "Maintenance"
        link: "https://www.truenas.com/docs/truecommand/2.3/tcgettingstarted/tcreleasenotes/#233"
        releaseDate: "2023-06-20"
        latest: true
  - lifecycle: "Current"
    name: "TrueCommand 3"
    releases:
      - name: "3.1"
        type: "Maintenance"
        link: "https://www.truenas.com/docs/truecommand/3.0/tcgettingstarted/tcreleasenotes/"
        releaseDate: "2025-03-25"
        latest: true
  - lifecycle: "Next"
    name: "TrueCommand Next"
    releases:
      - name: "Next Major Version"
        type: "TBD"
        link:
        releaseDate: ""
        latest: false
